# Class Controller

#### Hierarchy

- Controller

- Defined in src/raster/component.js:162

#####
Index

### Properties

active
elevation
filter_
gettextCatalog
gmfRaster_
inViewport_
layer
listenerKeys_
loading
map
ngeoDebounce_
options
scope_

### Methods

activate_
afterPointerMove_
clear_
deactivate_
getRasterError_
getRasterSuccess_
onMouseout_
onPointerMove_

## Properties

### active

active: boolean

- Defined in src/raster/component.js:176

### elevation

elevation: string

- Defined in src/raster/component.js:181
- Defined in src/raster/component.js:316
- Defined in src/raster/component.js:319
- Defined in src/raster/component.js:333

### filter_

filter_: IFilterService

- Defined in src/raster/component.js:168

### gettextCatalog

gettextCatalog: gettextCatalog

- Defined in src/raster/component.js:171

### gmfRaster_

gmfRaster_: any

- Defined in src/raster/component.js:170

### inViewport_

inViewport_: boolean

- Defined in src/raster/component.js:206
- Defined in src/raster/component.js:262
- Defined in src/raster/component.js:290

### layer

layer: string

- Defined in src/raster/component.js:186

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/raster/component.js:196

### loading

loading: boolean

- Defined in src/raster/component.js:211
- Defined in src/raster/component.js:263
- Defined in src/raster/component.js:321
- Defined in src/raster/component.js:334

### map

map: Map

- Defined in src/raster/component.js:191

### ngeoDebounce_

ngeoDebounce_: miscDebounce<((arg0: Event | BaseEvent) => void)>

- Defined in src/raster/component.js:169

### options

options: any

- Defined in src/raster/component.js:166

### scope_

scope_: IScope

- Defined in src/raster/component.js:201

## Methods

### activate_

- activate_(): void

- Activate the listeners of the component.

  #### Returns void

  - Defined in src/raster/component.js:228

### afterPointerMove_

- afterPointerMove_(evt: Event | BaseEvent): void

- Set the state of the component and query the raster service with the coordinate.

  #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/raster/component.js:272

### clear_

- clear_(): void

- Clear the state.

  #### Returns void

  - Defined in src/raster/component.js:332

### deactivate_

- deactivate_(): void

- Deactivate the listeners of the component

  #### Returns void

  - Defined in src/raster/component.js:251

### getRasterError_

- getRasterError_(): void

- #### Returns void

  - Defined in src/raster/component.js:324

### getRasterSuccess_

- getRasterSuccess_(resp: Object): void

- #### Parameters

  - ##### resp: Object

    Response of the get Raster service.

  #### Returns void

  - Defined in src/raster/component.js:297

### onMouseout_

- onMouseout_(): void

- Clears previously displayed raster info and set inViewport_ to false.

  #### Returns void

  - Defined in src/raster/component.js:287

### onPointerMove_

- onPointerMove_(): void

- Clears previously displayed raster info and set inViewport_ to true.

  #### Returns void

  - Defined in src/raster/component.js:259

Generated using TypeDoc